<!DOCTYPE html>
<head>
  <meta charset="utf-8">
  <title>Station Container Microfrontend</title>
  <link rel="stylesheet" type="text/css" href="../stationInfo/stationInfo.css"/>
  <link rel="stylesheet" type="text/css" href="../playerControls/playerControls.css"/>
  <link rel="stylesheet" type="text/css" href="stationContainer.css"/>
</head>
<body>
  <script src="../stationsList/stationsData.js"></script>
  <script src="../stationInfo/stationImg.js"></script>
  <script src="../stationInfo/stationName.js"></script>
  <script src="../stationInfo/stationInfo.js"></script>
  <script src="../playerControls/controlButton.js"></script>
  <script src="../playerControls/playerControls.js"></script>
  <script src="stationContainer.js"></script>

  <h1>This is the Station Container component:</h1>
  <div id="stand-alone"></div>

  <script type="text/javascript">
    const stationContainer = createStationContainer(stationsData[0]);
    stationContainer.style.border = "1px dotted grey";
    document.getElementById("stand-alone").appendChild(stationContainer);
  </script>

</body>
